
var puzzleScore = new function() {
    "use strict";
    var puzzleScoreElement = $("#score");
    var scoreValue = -1; // Default to -1 so that puzzles that never sets it won't save stats for it

    var init = function() {
        scoreValue = 0;
        puzzleScoreElement.html(scoreValue);
    }();

    this.setScore = function(score) {
        scoreValue = score;
        puzzleScoreElement.html(scoreValue);
    };

    this.getScore = function() {
        return scoreValue;
    };
    

}();